import { useResponse } from '@curi/react-dom';
import './App.css';
import { DefaultLayout } from './layouts';

function App() {
  const { response } = useResponse();

  const { body: Body } = response;
  if (!Body) {
    return <DefaultLayout> Client has some wrong!</DefaultLayout>;
  }
  return (
    <DefaultLayout>
      <Body response={response} />
    </DefaultLayout>
  );
}

export default App;
